about summary refs log tree commit diff
path: root/third_party/nix/scripts/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/nix/scripts/build.sh')
-rwxr-xr-xthird_party/nix/scripts/build.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/third_party/nix/scripts/build.sh b/third_party/nix/scripts/build.sh
new file mode 100755
index 0000000000..759c9e9f2c
--- /dev/null
+++ b/third_party/nix/scripts/build.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+
+# Run `nix build` using a local store, for use during development. Intended to
+# be run from the cmake build directory
+
+set -eo pipefail
+
+if [ $1 = "--debug" ]; then
+    run=(gdb --args)
+    shift 1
+elif [ "$1" = "--rr" ]; then
+    run=(rr record)
+    shift 1
+else
+    run=()
+fi
+
+make -j 10
+NIX_STORE_DIR=$(pwd)/nix/store \
+    NIX_LOG_DIR=$(pwd)/nix/var/log/nix \
+    NIX_STATE_DIR=$(pwd)/nix/var/nix \
+    XDG_CACHE_HOME=$(pwd)/cache \
+    NIX_REMOTE=daemon \
+    ${run[*]} ./src/nix build "$@"